Subject: Re: git-subtree split O(N)

From: <[email-masked]>
Date: Tue, 1 May 2012 14:49:32 -0500

Vinnie Falco <[email-masked]> writes:

> The problem is that every time I split, git-subtree starts from the
> very beginning of the commit log and works its way forward. I thought
> that it was only supposed to do that once, and that subsequent splits
> would start from the last commit in the destination branch (I keep the
> split branch around).
>
> What's going on?

This is an area I want to improve.

You have to use --rejoin so subtree will remember where you left off
last time.  I also always specify a branch name, like this:

git subtree split -P subproj --rejoin --branch=subproj-to-push

I think --rejoin should probably be default but I need to understand the
code better to make sure.

HTH.

                              -Dave